Groovy 1.7.10

## org.codehaus.groovy.ast
[Java] Class DynamicVariable

    java.lang.Object
      org.codehaus.groovy.ast.DynamicVariable

All Implemented Interfaces:
  Variable

    public class DynamicVariable
    extends Object

Constructor Summary
`DynamicVariable(String name, boolean context)`

Method Summary
`Expression` | `getInitialExpression()`
`String` | `getName()`
`ClassNode` | `getOriginType()`
`ClassNode` | `getType()`
`boolean` | `hasInitialExpression()`
`boolean` | `isClosureSharedVariable()`
`boolean` | `isDynamicTyped()`
`boolean` | `isInStaticContext()`
`void` | `setClosureSharedVariable(boolean inClosure)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### DynamicVariable

    public DynamicVariable(String name, boolean context)

Method Detail

### getInitialExpression

    public Expression getInitialExpression()

### getName

    public String getName()

### getOriginType

    public ClassNode getOriginType()

### getType

    public ClassNode getType()

### hasInitialExpression

    public boolean hasInitialExpression()

### isClosureSharedVariable

    public boolean isClosureSharedVariable()

### isDynamicTyped

    public boolean isDynamicTyped()

### isInStaticContext

    public boolean isInStaticContext()

### setClosureSharedVariable

    public void setClosureSharedVariable(boolean inClosure)

Copyright © 2003-2010 The Codehaus. All rights reserved.